 package com.huatek.busi.service.threshold;

 import com.huatek.busi.dto.CwzzThresholdDto;
 import com.huatek.busi.dto.WindingThresholdDto;
 import com.huatek.busi.vo.CwzzThresholdVo;
 import com.huatek.busi.vo.WindingThresholdVo;

 import java.util.List;

 /**
   * 测温阈值
   */
  public interface CwzzThresholdService {

      CwzzThresholdVo queryCwzzThreshold(String sensorCode,String workStatus);

      List<CwzzThresholdVo> queryCwzzThresholdBySensorCode(String sensorCode);

      int insertOrUpdate(String token, CwzzThresholdDto[] cwzzThresholdDto);

      int addSensorInsertCwzz(String token,String sensorCode,String type);

      int  deleteSensorInsertCwzz(String sensorCode);

      int  updateSensorInsertCwzz(String oldSensorCode,String newSensorCode);

 }
